#!/bin/bash

if [ ! -d "dir1" ]; then
    echo "Каталог 'dir1' не существует."
    exit 1
fi

if [ ! -d "dir2" ]; then
    echo "Каталог 'dir2' не существует."
    exit 1
fi

echo "Файлы, которые есть в dir1, но отсутствуют в dir2:"
comm -13 <(ls dir1 | sort) <(ls dir2 | sort)

echo "Файлы, которые есть в dir2, но отсутствуют в dir1:"
comm -23 <(ls dir1 | sort) <(ls dir2 | sort)

